import 'dart:developer';

import 'package:crud_service/Env/ServiceConfig.dart';
import 'package:crud_service/Model/RequestD.dart';
import 'package:crud_service/Model/crud_entity.dart';

class RequestEntity<T extends CrudEntity> {
	T obj;

	RequestD d;

	RequestEntity();

	Map<String, dynamic> toJson() {
		final Map<String, dynamic> data = new Map<String, dynamic>();

		if (obj != null) {
			data["obj"] = ServiceConfig.shared.decoder.toJson(obj);
		}
		if (d != null) {
			data["d"] = d.toJson();
		}
		return data;
	}
}
