
import 'package:crud_service/Env/ServiceConfig.dart';

extension FileDownload on String {
  String downloadUrl() {
    return ServiceConfig.shared.fileUrl() + this;
  }

  List<String> downloadUrls() {
    List<String> filenames = this.split(",");
    List<String> urls = new List<String>();
    for (String name in filenames) {
      urls.add(name.downloadUrl());
    }
    return urls;
  }
}