
import 'package:crud_service/Model/RequestField.dart';
import 'package:flutter/cupertino.dart';
import 'package:crud_service/Model/RequestC.dart';
import 'package:crud_service/Model/RequestFilter.dart';
import 'package:crud_service/Model/RequestPage.dart';
import 'package:crud_service/Model/RequestSearch.dart';
import 'package:crud_service/Model/RequestSort.dart';

class RequestD {
  RequestPage page;

  String idField;

  List<RequestC> c;

  List<RequestFilter> filters;

  List<RequestSort> sorts;

  RequestSearch search;

  List<RequestField> fields;

  bool retOnlySt = false;

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (page != null) {
      data["page"] = page.toJson();
    }

    if (idField != null) {
      data["idField"] = idField;
    }

    data["retOnlySt"] = retOnlySt;

    if (c != null) {
      var cArray = List<Map<String, dynamic>>();
      for (var cV in c) {
        cArray.add(cV.toJson());
      }
      data["c"] = cArray;
    }

    if (filters != null) {
      var dArray = List<Map<String, dynamic>>();
      for (var filter in filters) {
        dArray.add(filter.toJson());
      }
      data["filters"] = dArray;
    }

    if (sorts != null) {
      var sArray = List<Map<String, dynamic>>();
      for (var sort in sorts) {
        sArray.add(sort.toJson());
      }
      data["sorts"] = sArray;
    }

    if (search != null) {
      data["search"] = search.toJson();
    }

    if (fields != null) {
      var fArray = List<Map<String, dynamic>>();
      for (var field in fields) {
        fArray.add(field.toJson());
      }
      data["fields"] = fArray;
    }
    return data;
  }
}