
import 'package:crud_service/Env/ServiceConfig.dart';
import 'package:crud_service/Model/crud_entity.dart';
import 'package:crud_service/Service/BaseService.dart';

class CreateService<T extends CrudEntity> extends BaseService<T> {
  Future<T> create(T obj, String path) async {

    var request = await createRequest();
    request.obj = obj;

    var resultJson = await post(path, request) as Map<String, dynamic>;
    return ServiceConfig.shared.decoder.fromJsonAsT<T>(resultJson);
  }
}