import 'package:flutter/cupertino.dart';
import 'package:flutter_test/flutter_test.dart';

import 'package:crud_service/crud_service.dart';

import 'ConfigData.dart';
import 'DeviceListService.dart';
import 'TestDecoder.dart';

void main() {

  test('adds one to input values', () async {

    configEnv();

    DeviceListService service = DeviceListService();
    await service.loadFirst();
  });
}

void configEnv() {
  ServiceConfig.shared.configs = ServiceConfigData;
  ServiceConfig.shared.fileConfigs = ServiceFileConfigData;
  ServiceConfig.shared.current = EnvType.demo;

  ServiceConfig.shared.decoder = ServiceDataDecoder();

  var spaceId = "5dad4d9dde59ac66be8f41e6";
  var param = new Map<String, String>();
  param["userId"] = "5dad8035de59ac66be8f4218";
  param["pgdpToken"] = "eyJ0eXBlIjoiSldUIiwiYWxnIjoiSFMyNTYifQ.eyJqdGkiOiI1ZGFkODAzNWRlNTlhYzY2YmU4ZjQyMTgiLCJpc3MiOiI1ZGFkNGQ5ZGRlNTlhYzY2YmU4ZjQxZTYiLCJzdWIiOiIxNTYwMTg5NjAwMyIsImF1ZCI6Ik1vbml0b3IvMy4wLjAgKGNvbS53aXNlaW5mb2lvdC5tbm9pdG9yOyBidWlsZDozLjAuMTsgaU9TIDEzLjQuMSkgQWxhbW9maXJlLzUuMC41IiwiaWF0IjoxNTkwODA2MzkwLCJleHAiOjE2MDYzNTgzOTB9.hnUphwNSD_heeq3q3q9ZCu2RX2AkBOcReVVDSuoQgcQ";
  param["propSpaceId"] = spaceId;
  param["entSpaceId"] = spaceId;
  param["projSpaceId"] = spaceId;
  ServiceConfig.shared.commonParameter = param;
}